JobInProgress.Counter (Hadoop 0.20.1+169.127 API)
Date: 2011-01-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.hadoop.mapred
Enum JobInProgress.Counter

    java.lang.Object
      java.lang.Enum<JobInProgress.Counter>
          org.apache.hadoop.mapred.JobInProgress.Counter

All Implemented Interfaces:
  Serializable, Comparable<JobInProgress.Counter>

Enclosing class:
  JobInProgress

    public static enum JobInProgress.Counter

extends Enum<JobInProgress.Counter>

Enum Constant Summary
`DATA_LOCAL_MAPS`
`NUM_FAILED_MAPS`
`NUM_FAILED_REDUCES`
`OTHER_LOCAL_MAPS`
`RACK_LOCAL_MAPS`
`TOTAL_LAUNCHED_MAPS`
`TOTAL_LAUNCHED_REDUCES`

Method Summary
`static JobInProgress.Counter` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JobInProgress.Counter[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NUM_FAILED_MAPS

    public static final JobInProgress.Counter NUM_FAILED_MAPS

### NUM_FAILED_REDUCES

    public static final JobInProgress.Counter NUM_FAILED_REDUCES

### TOTAL_LAUNCHED_MAPS

    public static final JobInProgress.Counter TOTAL_LAUNCHED_MAPS

### TOTAL_LAUNCHED_REDUCES

    public static final JobInProgress.Counter TOTAL_LAUNCHED_REDUCES

### OTHER_LOCAL_MAPS

    public static final JobInProgress.Counter OTHER_LOCAL_MAPS

### DATA_LOCAL_MAPS

    public static final JobInProgress.Counter DATA_LOCAL_MAPS

### RACK_LOCAL_MAPS

    public static final JobInProgress.Counter RACK_LOCAL_MAPS

Method Detail

### values

    public static JobInProgress.Counter[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JobInProgress.Counter c : JobInProgress.Counter.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JobInProgress.Counter valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 The Apache Software Foundation